Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 105999

Summary: LTC4630-cscope SEGVs in ncurses in RHEL3 beta2 on x86_64
Product: Red Hat Enterprise Linux 3 Reporter: IBM Bug Proxy <bugproxy>
Component: ncursesAssignee: Eido Inoue <havill>
Status: CLOSED DUPLICATE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-21 13:58:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description IBM Bug Proxy 2003-10-01 17:15:42 EDT
The following has be reported by IBM LTC:  
cscope SEGVs in ncurses in RHEL3 beta2 on x86_64
Hardware Environment:
x325 (Opteron)

Software Environment:
RHEL 3.0 beta2 for x86_64

Steps to Reproduce:
1. d/l cscope-15.5.tar.gz from cscope.sourceforge.net, unpack.
2. ./configure; make (build completes successfully)
3. ./src/csope

Actual Results:
Program received signal SIGSEGV, Segmentation fault.
0x0000002a958419b0 in strlen () from /lib64/tls/libc.so.6
(gdb) bt
#0  0x0000002a958419b0 in strlen () from /lib64/tls/libc.so.6
#1  0x0000002a958106fe in vfprintf () from /lib64/tls/libc.so.6
#2  0x0000002a9582e505 in vsprintf () from /lib64/tls/libc.so.6
#3  0x0000002a95698555 in _nc_printf_string (
    fmt=0x449128 "Cscope version %d%s", ap=0x7fbffff110)
    at ../../ncurses/base/safe_sprintf.c:221
#4  0x0000002a956940c1 in vwprintw (win=0x575db8, 
    fmt=0x20 <Address 0x20 out of bounds>, argp=0x2a95812220)
    at ../../ncurses/base/lib_printw.c:135
#5  0x0000002a95693e6a in printw (fmt=0x20 <Address 0x20 out of bounds>)
    at ../../ncurses/base/lib_printw.c:58
#6  0x000000000040bb84 in display () at display.c:161
#7  0x0000000000411bca in main (argc=0, argv=0x7fbffff808) at main.c:385

Expected Results:
cscope-15.4 built and ran fine on SLES8 for x86_64 (built from
ftp://rpmfind.net/linux/SuSE-Linux/i386/8.2/suse/src/cscope-15.4-22.src.rpm)

Additional Information:
configure in cscope-15.4 doesn't x86_64 architecture:
checking build system type... Invalid configuration `x86_64-unknown-linux-gnu':
machine `x86_64-unknown' not recognized
configure: error: /bin/sh ./config.sub x86_64-unknown-linux-gnu failed.

SLES8 is no longer available on x86_64, so there's no way to check if
cscope-15.5 would have worked.  From the stack traceback it looks like the real
bug is in ncurses lib though, so cscope version may not be very relevant.

BTW, someone needs to add x86_64 (or AMD64, whatever's the official name now)
to bugzilla arch list.Glen/Greg - please submit this to Red Hat.  This is a
RHEL3 beta2 problem
on x86-64 (AMD64) platform (Opteron).  Thanks.
Comment 1 IBM Bug Proxy 2003-10-02 14:31:45 EDT
------ Additional Comments From volobuev@us.ibm.com  2003-02-10 14:27 -------
This got fixed in RC2. 
Comment 2 Eido Inoue 2003-10-02 14:36:54 EDT
the configure --enable-safe-sprintf problem huh? Understood. Closing.

*** This bug has been marked as a duplicate of 103790 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:58:52 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.